%define upstream_name Crypt-RC6
%define upstream_version 1.0

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 29
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Crypt-RC6 module for perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2
BuildRequires:	perl-devel

%description
This is a perl module which implements a Crypt::CBC compliant 
RC6 block cipher encryption module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES COPYING README
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/*/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.0.0-29.mga9
+ Revision: 1861677
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.0.0-28.mga9
+ Revision: 1795614
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.0.0-27.mga9
+ Revision: 1726486
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.0.0-26.mga8
+ Revision: 1594381
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.0.0-25.mga8
+ Revision: 1529435
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.0.0-24.mga8
+ Revision: 1433464
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.0.0-23.mga7
+ Revision: 1292579
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 guillomovitch <guillomovitch> 1.0.0-22.mga7
+ Revision: 1248612
- rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 1.0.0-21.mga7
+ Revision: 1163693
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.0.0-20.mga7
+ Revision: 1148705
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.0.0-19.mga7
+ Revision: 1126516
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 1.0.0-18.mga6
+ Revision: 1024620
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.0.0-17.mga6
+ Revision: 956994
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.0-16.mga6
+ Revision: 843927
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.0-15.mga5
+ Revision: 744431
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-14.mga5
+ Revision: 684056
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.0-13.mga5
+ Revision: 630961
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.0-12.mga4
+ Revision: 524752
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.0-11.mga4
+ Revision: 431418
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0-10.mga3
+ Revision: 364943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.0-9.mga3
+ Revision: 250412
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.0-8.mga2
+ Revision: 103856
- perl 5.14

* Thu Jan 13 2011 jquelin <jquelin> 1.0-7.mga1
+ Revision: 10461
- imported package perl-Crypt-RC6


* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.0-7mdv2011.0
+ Revision: 555459
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.0-6mdv2010.0
+ Revision: 430384
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2009.0
+ Revision: 256340
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2008.1
+ Revision: 152040
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-2mdv2008.1
+ Revision: 136950
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdv2007.0
- rebuild

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package

